@echo off

echo   Ŀ
echo     NT DSP32C INSTALL      NT DSP32C INSTALL     NT DSP32C INSTALL   
echo                                                                      
echo                  TO USE THIS INSTALLATION BATCH FILE:                
echo                   MAKE THIS DISK YOUR CURRENT DRIVE                  
echo                                                                      
echo      Execute install.bat with NO command line parameters to create   
echo             and install the software in the standard                 
echo                     C:\SR\DSP32C directory                           
echo                                                                      
echo      To create and install the software in a nonstandard directory,  
echo         execute install.bat with the target DRIVE AND DIRECTORY      
echo            specified on the command line, eg: install d:\srnt        
echo                                                                      
echo             Ctrl+C will kill the installation at any time            
echo   



rem Set target directory
rem

if "%1" == "" goto stdtarget
              goto usertarget

:stdtarget
set target_dir=C:\SR
goto checktarget

:usertarget
set target_dir=%1
goto checktarget


rem Verify target directory
rem

:checktarget

echo.
echo Ready to install in directory %target_dir%\DSP32C
pause

if exist %target_dir%\DSP32C\*.*   goto error



rem Do the install
rem

pkunzip -d DSP32C.ZIP %target_dir%
goto end



:error
echo.
echo ERROR: Target directory already exists either rename or delete it ...
echo.
goto end

:end
set target_dir=
echo DSP32C basic installation is finished.
echo Remember to also install the kernel mode device driver.
pause

@echo on
